f



configure: error: *** Can't find recent OpenSSL libcrypto (see config.log for details) ***

I am integrating openssl-0.9.7c into my 2.6.17 IXP425 snapgear tree
and I am having this error message during the build:

configure: error: *** Can't find recent OpenSSL libcrypto (see
config.log for details) ***

I am basically following the procedures as stated in:
http://www.ucdot.org/article.pl?sid=03/10/23/2249235&mode=thread.

The tool I am using is gcc 3.4.0.

I didnt use to have this error when I was integrating the same openssl
release into 2.6.12, using gcc 3.3.2, so I am wondering what may be
wrong... :(

Any clue?

I also cannot find any config.log file. Which file do I need to update
to enable it to generate a config.log file for debugging? If you have
a sample, can you kindly send it to me?

Thanks a lot... :)
0
dchou4u1 (12)
11/28/2007 11:45:54 PM
comp.security.ssh 4228 articles. 0 followers. terra1024 (490) is leader. Post Follow

2 Replies
8996 Views

Similar Articles

[PageSpeed] 45

On Nov 28, 3:45 pm, Dennis <dcho...@gmail.com> wrote:
> I am integrating openssl-0.9.7c into my 2.6.17 IXP425 snapgear tree
> and I am having this error message during the build:
>
> configure: error: *** Can't find recent OpenSSL libcrypto (see
> config.log for details) ***
>
> I am basically following the procedures as stated in:http://www.ucdot.org/article.pl?sid=03/10/23/2249235&mode=thread.
>
> The tool I am using is gcc 3.4.0.
>
> I didnt use to have this error when I was integrating the same openssl
> release into 2.6.12, using gcc 3.3.2, so I am wondering what may be
> wrong... :(
>
> Any clue?
>
> I also cannot find any config.log file. Which file do I need to update
> to enable it to generate a config.log file for debugging? If you have
> a sample, can you kindly send it to me?
>
> Thanks a lot... :)

The error seems to be coming from the configure script in snapgear/
user/ssh directory. But I still dont know why it is failing...
0
dchou4u1 (12)
11/29/2007 1:03:41 AM
Dennis <dchou4u@gmail.com> writes:

>> I am integrating openssl-0.9.7c into my 2.6.17 IXP425 snapgear tree
>> and I am having this error message during the build:
>>
>> configure: error: *** Can't find recent OpenSSL libcrypto (see
>> config.log for details) ***

> The error seems to be coming from the configure script in snapgear/
> user/ssh directory. But I still dont know why it is failing...

I got this using the most recent Openssl with some other program I was
building. I think it was because Openssl changed its format for its
version string at some point, or another constant string changed that
applicants used to look at to determine this. Try to rip out the check
in the script and see if it works anyway. If it does, great, if not,
it might give a better clue.

What was the output in the config.log for that test, anyway? 


-- 
 [** America, the police state **]
Whoooose! What's that noise? Why, it's US citizen's
rights, going down the toilet with Bush flushing.
http://www.wired.com/politics/security/news/2007/08/wiretap
http://www.hermes-press.com/police_state.htm
0
jayjwa252 (34)
12/26/2007 9:59:46 AM
Reply: